/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cviko11a;

import java.util.ArrayList;

/**
 *
 * @author kostolny
 */
class Vozidlo {

    private final String popis;
    private ArrayList<Suciastka> zoznamKOmponentov;

    Vozidlo(String popis) {
        this.popis = popis;
        this.zoznamKOmponentov = new ArrayList<>();
    }

    public Suciastka pridajKomponent(Suciastka komponent) {

        this.zoznamKOmponentov.add(komponent);

        return komponent;
    }

    public String getPopis() {
        return popis;
    }

    @Override
    public String toString() {
        String vypis = "Zlozenie vozidla " + getPopis() + ": \n";
        for (Suciastka suciastka : zoznamKOmponentov) {
            vypis += suciastka.toString();
        }
        vypis += "============\n";
        return vypis;
    }

}
